wxWidgets: wxGridCellRenderer Class Reference

| Version: 3.0.5

Public Member Functions | Protected Member Functions | List of all members
wxGridCellRenderer Class Referenceabstract
Class List by Category » Grid Related Classes

`#include </home/Hamis/wxwidgets/wxWidgets3.0/wxWidgets3.0-3.0.5.1-2.i686/src/wxWidgets-3.0.5.1/interface/wx/grid.h>`

Inheritance diagram for wxGridCellRenderer:
[legend]

## Detailed Description

This class is responsible for actually drawing the cell in the grid.

You may pass it to the wxGridCellAttr (below) to change the format of one given cell or to wxGrid::SetDefaultRenderer() to change the view of all cells. This is an abstract class, and you will normally use one of the predefined derived classes or derive your own class from it.

##

Library: wxAdvanced

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxGridCellAutoWrapStringRenderer, wxGridCellBoolRenderer, wxGridCellDateTimeRenderer, wxGridCellEnumRenderer, wxGridCellFloatRenderer, wxGridCellNumberRenderer, wxGridCellStringRenderer

## Public Member Functions
| wxGridCellRenderer ()
virtual wxGridCellRenderer * | Clone () const =0
| This function must be implemented in derived classes to return a copy of itself. More...
virtual void | Draw (wxGrid &grid, wxGridCellAttr &attr, wxDC &dc, const wxRect &rect, int row, int col, bool isSelected)=0
| Draw the given cell on the provided DC inside the given rectangle using the style specified by the attribute and the default or selected state corresponding to the isSelected value. More...
virtual wxSize | GetBestSize (wxGrid &grid, wxGridCellAttr &attr, wxDC &dc, int row, int col)=0
| Get the preferred size of the cell for its contents. More...
Public Member Functions inherited from wxClientDataContainer
| wxClientDataContainer ()
| Default constructor. More...
virtual | ~wxClientDataContainer ()
| Destructor. More...
void * | GetClientData () const
| Get the untyped client data. More...
wxClientData * | GetClientObject () const
| Get a pointer to the client data object. More...
void | SetClientData (void *data)
| Set the untyped client data. More...
void | SetClientObject (wxClientData *data)
| Set the client data object. More...
Public Member Functions inherited from wxRefCounter
| wxRefCounter ()
| Default constructor. More...
void | DecRef ()
| Decrements the reference count associated with this shared data and, if it reaches zero, destroys this instance of wxRefCounter releasing its memory. More...
int | GetRefCount () const
| Returns the reference count associated with this shared data. More...
void | IncRef ()
| Increments the reference count associated with this shared data. More...

## Protected Member Functions
virtual | ~wxGridCellRenderer ()
| The destructor is private because only DecRef() can delete us. More...
Protected Member Functions inherited from wxRefCounter
virtual | ~wxRefCounter ()
| Destructor. More...

## Constructor & Destructor Documentation

## ◆ wxGridCellRenderer()

wxGridCellRenderer::wxGridCellRenderer | ( |  | ) |

## ◆ ~wxGridCellRenderer()

virtual wxGridCellRenderer::~wxGridCellRenderer | ( |  | ) |
| protectedvirtual

The destructor is private because only DecRef() can delete us.

## Member Function Documentation

## ◆ Clone()

virtual wxGridCellRenderer* wxGridCellRenderer::Clone | ( |  | ) | const
| pure virtual

This function must be implemented in derived classes to return a copy of itself.

## ◆ Draw()

virtual void wxGridCellRenderer::Draw | ( | wxGrid & | grid,
|  | wxGridCellAttr & | attr,
|  | wxDC & | dc,
|  | const wxRect & | rect,
|  | int | row,
|  | int | col,
|  | bool | isSelected
| ) |  |
| pure virtual

Draw the given cell on the provided DC inside the given rectangle using the style specified by the attribute and the default or selected state corresponding to the isSelected value.

This pure virtual function has a default implementation which will prepare the DC using the given attribute: it will draw the rectangle with the background colour from attr and set the text colour and font.

## ◆ GetBestSize()

virtual wxSize wxGridCellRenderer::GetBestSize | ( | wxGrid & | grid,
|  | wxGridCellAttr & | attr,
|  | wxDC & | dc,
|  | int | row,
|  | int | col
| ) |  |
| pure virtual

Get the preferred size of the cell for its contents.